import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.util.*;
import java.lang.*;
import java.lang.Thread.*;

//      Dining
//      This is the main class of our program.

 class Dining extends JApplet {
    private static final int BOX_SIZE = 600;

    private void start(final RootPaneContainer pane, final boolean isApplet) {
        final Server s = new Server();
        final Table t = new Table(s, BOX_SIZE);
       
        try {
            SwingUtilities.invokeAndWait(new Runnable() {
                public void run() {
                    new UserInterface(pane, s, t, isApplet);
                }
            });
        } catch (Exception e) {
            System.err.println("Cannot create GUI");
        }
    }

    public void init() {
        start(this, true);
    }

    public static void main(String[] args) {
        
        JFrame f = new JFrame("Black Squ. = Phil. Waiting **"
                                + " Red Squ. = Phil. Thinking **"
                                + " Green Squ. = Phil. Eating **"
                                + " Black Small Circles = Forks");
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        Dining mainDining = new Dining();
        mainDining.start(f, false);
        f.pack();            // calculate size of frame
        JOptionPane.showMessageDialog(f, "Click Run to intiate the program!"
                                        + "\nBlack Square = Philosophers is Waiting "
                                        + "\nRed Square = Philosophers is Thinking"
                                        + "\nGreen Square = Philosophers is Eating"
                                        + "\nBlack Small Circles = Forks");
        JPanel panel = new JPanel();
        f.add(panel);
        f.setVisible(true);
        
    }
}








