import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.util.*;
import java.lang.*;
import java.lang.Thread.*;

//      Fork
//      Passive class defining the forks 

class Fork {
    private Table t;
    private static final int XSIZE = 10;
    private static final int YSIZE = 10;
    private int realX;
    private int realY;
    private int x;
    private int y;

    // cx and cy are the coordinates of the center.
    public Fork(Table T, int cx, int cy) {
        t = T;
        realX = cx;
        realY = cy;
        x = cx;
        y = cy;
    }

    public void reset() {
        clear();
        x = realX;
        y = realY;
        t.repaint();
    }

    public void acquire(int px, int py) {
        clear();
        x = (realX + px)/2;
        y = (realY + py)/2;
        t.repaint();
    }

    public void release() {
        reset();
    }

    // render self
    public void draw(Graphics g) {
        g.setColor(Color.black);
        g.fillOval(x-XSIZE/2, y-YSIZE/2, XSIZE, YSIZE);
    }
    
    // erase self
    private void clear() {
        Graphics g = t.getGraphics();
        g.setColor(t.getBackground());
        g.fillOval(x-XSIZE/2, y-YSIZE/2, XSIZE, YSIZE);
    }
}